# Simple workflow for deploying static content to GitHub Pages
name: Update game remotely

on:
  # Runs on pushes targeting the default branch
  push:
    branches: ["master"]

  # Allows you to run this workflow manually from the Actions tab
  workflow_dispatch:

# Sets permissions of the GITHUB_TOKEN to allow deployment to GitHub Pages
permissions:
  contents: read
  id-token: write

# Allow one concurrent deployment
concurrency:
  group: "server"
  cancel-in-progress: true

jobs:
  # Single deploy job since we're just deploying
  build:
    runs-on: ubuntu-latest
    environment: deathbyhamster.com
    steps:
      - name: Checkout
        uses: actions/checkout@v3
        with:
          directory: .
          output: build
          add_suffix: false
      - name: Install minification dependencies
        run: npm i --global terser && pip3 install -r requriements.txt
      - name: Install SSH Key
        uses: shimataro/ssh-key-action@v2
        with:
          key: ${{ secrets.SSH_TOKEN }} 
          known_hosts: ${{ secrets.SSH_KNOWN_HOSTS }}
      - name: Adding Known Hosts
        run: ssh-keyscan -H ${{ secrets.SSH_HOST }} >> ~/.ssh/known_hosts
      - name: Deploy with rsync
        run: rsync -arvz --delete build/ dbh@${{ secrets.SSH_HOST }}:/var/www/dbh_game/ifyouaretypingthisyouareamoron/
